Package org.duckdb

## Class JsonNode

- java.lang.Object
- - org.duckdb.JsonNode

    public class JsonNode
    extends java.lang.Object

Basic wrapper for the JSON type - modelled after the jackson databind JsonNode

### Constructor Summary

Constructors
`JsonNode​(java.lang.String source)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object o)`
`int` `hashCode()`
`boolean` `isArray()`
`boolean` `isBoolean()`
`boolean` `isNull()`
`boolean` `isNumber()`
`boolean` `isObject()`
`boolean` `isString()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JsonNode

    public JsonNode​(java.lang.String source)

### Method Detail

#### isArray

    public boolean isArray()

#### isObject

    public boolean isObject()

#### isBoolean

    public boolean isBoolean()

#### isNull

    public boolean isNull()

#### isNumber

    public boolean isNumber()

#### isString

    public boolean isString()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`